//---------------------------------------------------------------------------
#ifndef mainfrmH
#define mainfrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcomm.hpp"
#include "nrcommbox.hpp"
#include "nrcommtapi.hpp"
#include "nrwave.hpp"
#include "nrwavebase.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TnrDeviceBox *nrDeviceBox1;
    TnrCommTAPI *nrCommTAPI1;
    TnrWave *nrWave1;
    TButton *Button1;
    TButton *Button2;
    TGroupBox *GroupBox1;
    TGroupBox *GroupBox2;
    TCheckBox *CheckBox1;
    TLabel *Label1;
    TLabel *Label2;
    TEdit *Edit1;
    TButton *Button3;
    TEdit *Edit2;
    TLabel *Label3;
    TStatusBar *StatusBar1;
    TListBox *ListBox1;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TEdit *Edit3;
    TLabel *Label7;
    TEdit *Edit4;
    TLabel *Label8;
    TComboBox *eRecDir;
    TButton *Button5;
    TButton *Button6;
    TButton *Button7;
    TButton *Button8;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall nrCommTAPI1FatalError(TObject *Sender, DWORD ErrorCode,
          DWORD Detail, AnsiString ErrorMsg, bool &RaiseException);
    void __fastcall nrCommTAPI1DTMF(TObject *Com, char Digit);
    void __fastcall nrCommTAPI1LineConnected(TObject *Sender);
    void __fastcall nrCommTAPI1LineDisconnected(TObject *Com,
          bool ByRemote);
    void __fastcall Button5Click(TObject *Sender);
    void __fastcall Button6Click(TObject *Sender);
    void __fastcall Button7Click(TObject *Sender);
    void __fastcall Button8Click(TObject *Sender);
    void __fastcall nrWave1AfterPlay(TObject *Sender);
    void __fastcall nrWave1AfterRecord(TObject *Sender);
    void __fastcall CheckBox1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
